%global pkgname zope-i18nmessageid
%global modname zope.i18nmessageid
%global summary Message Identifiers for internationalization
%global _description \
This module provides message identifiers for internationalization.

%filter_provides_in %{python_sitearch}/zope/i18nmessageid/.*\.so$
%filter_setup


Summary: %{summary}
Name: python-%{pkgname}
Version: 4.0.3
Release: 4%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
URL: http://pypi.python.org/pypi/zope.i18nmessageid

# Python 2
BuildRequires: python2-devel
BuildRequires: python-setuptools
%{?python_provide:%python_provide python-%{pkgname}}

# Python3
BuildRequires: python-srpm-macros
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
%endif

%description %{_description}


# Python 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%build
export CFLAGS="$RPM_OPT_FLAGS"
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install
# remove contained source file(s)
find $RPM_BUILD_ROOT -name '*.c' -type f -print0 | xargs -0 rm -fv


%check
%{__python2} setup.py test
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif


%files
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
# Co-own %%{python2_sitearch}/zope/
%dir %{python2_sitearch}/zope/
%{python2_sitearch}/zope/i18nmessageid/
%{python2_sitearch}/%{modname}-*.egg-info
%{python2_sitearch}/%{modname}-*-nspkg.pth

# Python3
%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
# Co-own %%{python3_sitearch}/zope/
%dir %{python3_sitearch}/zope/
%{python3_sitearch}/zope/i18nmessageid/
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}-*-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst
# Co-own %%{python3_other_sitearch}/zope/
%dir %{python3_other_sitearch}/zope/
%{python3_other_sitearch}/zope/i18nmessageid/
%{python3_other_sitearch}/%{modname}-*.egg-info
%{python3_other_sitearch}/%{modname}-*-nspkg.pth
%endif


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 4.0.3-4
- Rebuilt to change main python from 3.4 to 3.6

* Wed Aug 02 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.0.3-3
- Fix BuildRequires name

* Tue Apr 25 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.0.3-2
- Build the Python 3 packages in EPEL.

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 4.0.3-1
- Latest upstream.
- Modernize python macros.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream
- Added Python3 subpackage

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 3.5.3-3
- Rebuilt for gcc bug 634757

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.3-2
- Filter private shared library provides

* Wed Sep 15 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.3-1
- Update to 3.5.3
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- Co-own %%{python_sitearch}/zope/
- Spec cleaned up

* Tue Jun 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.2-2
- don't move the text files

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.2-1
- Initial packaging
